Summary:	Photomosaic Generator
Name:		metapixel
Version:	1.0.2
Release:	1%{?dist}
License:	GPLv2 and LGPLv2+
URL:		http://www.complang.tuwien.ac.at/schani/metapixel/
Source:		http://www.complang.tuwien.ac.at/schani/%{name}/files/%{name}-%{version}.tar.gz
Patch1:		metapixel-build-fixes.patch
Patch2:		metapixel-copyright.patch
Patch3:		metapixel-install.patch
# giflib-5.x compatibility
Patch4:		metapixel-giflib5.patch

Requires:	perl-interpreter
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires: 	gcc

%description
A program for generating photomosaics.  It can generate classical 
photomosaics, in which the source image is viewed as a matrix of equally sized 
rectangles for each of which a matching image is substituted, as well as 
collage-style photomosaics, in which rectangular parts of the source image 
at arbitrary positions (i.e. not aligned to a matrix) are substituted by 
matching images.

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install PREFIX=$RPM_BUILD_ROOT/usr

%files
%license COPYING
%doc NEWS README
%{_mandir}/man1/metapixel.1*
%{_bindir}/metapixel-prepare
%{_bindir}/metapixel
%{_bindir}/metapixel-imagesize
%{_bindir}/metapixel-sizesort

%changelog
* Thu Jul 25 2024 Qin Fandong <qinfandong@redflag-os.com> - 1.0.2-1
- Init package
